splash_getmac() {
	grep -is "$1" /proc/net/arp |
	if read ip type flags mac mask iface; then echo "$mac"
	else grep -is "$1" /var/run/dhcp.leases | cut -d " " -f2; fi
}

splash_isblockedmac() {
	splash_gettext blocked | grep -iqs "$1"
}

splash_ispreauthmac() {
	splash_gettext preauth | grep -iqs "$1"
}

splash_isknownmac() {
	$IPTABLES -n -t nat -L splash_prerouting 2>/dev/null | grep -iqs "RETURN.*$1"
}

