splash_insplashrange() {
	for iprange in $(splash_wifirange) $(splash_lanrange); do
		mask=$(echo $iprange | cut -d'/' -f2)
		test "$(ipcalc -ns $iprange)" != "$(ipcalc -ns $1/$mask)" && continue
		return 0
	done
	return 1
}

splash_wifirange() {
	opt=$(splash_getvar ff_dhcpsplash_wifi)
	test -n "$opt" || return
	case $opt in
	off)
		return
		;;
	dhcp)
		nvram get ff_wldhcp | cut -d , -f1
		return
		;;
	net)
		echo $WIFINET/$WIFIPRE
		return
		;;
	esac
	echo "$opt"
}

splash_lanrange() {
	opt=$(splash_getvar ff_dhcpsplash_lan)
	test -n "$opt" || return
	case $opt in
	off)
		return
		;;
	net)
		echo $LANNET/$LANPRE
		return
		;;
	esac
	echo "$opt"
}
